<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCtiRoutePointReq StructType
 * @subpackage Structs
 */
class AddCtiRoutePointReq extends APIRequest
{
    /**
     * The ctiRoutePoint
     * @var XCtiRoutePoint
     */
    public $ctiRoutePoint;
    /**
     * Constructor method for AddCtiRoutePointReq
     * @uses AddCtiRoutePointReq::setCtiRoutePoint()
     * @param XCtiRoutePoint $ctiRoutePoint
     */
    public function __construct(XCtiRoutePoint $ctiRoutePoint = null)
    {
        $this
            ->setCtiRoutePoint($ctiRoutePoint);
    }
    /**
     * Get ctiRoutePoint value
     * @return XCtiRoutePoint|null
     */
    public function getCtiRoutePoint()
    {
        return $this->ctiRoutePoint;
    }
    /**
     * Set ctiRoutePoint value
     * @param XCtiRoutePoint $ctiRoutePoint
     * @return AddCtiRoutePointReq
     */
    public function setCtiRoutePoint(XCtiRoutePoint $ctiRoutePoint = null)
    {
        $this->ctiRoutePoint = $ctiRoutePoint;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCtiRoutePointReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
